# $Revision: 1.77 $, $Date: 2005/07/23 14:22:14 $
#
# Conditional build:
%bcond_without	qt	# without doxywizard (qt-based)
#
Summary:	Doxygen is the documentation system for C/C++
Summary(es):	Doxygen es el sistema de documentacin para C/C++
Summary(pl):	System dokumentowania dla C/C++
Summary(pt_BR):	Um sistema de documentao para C/C++
Summary(ru):	   C  C++
Summary(uk):	   C  C++
Name:		doxygen
Version:	1.4.4
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
# Source0-md5:	0e7fdbeafc6264cbde590c363a4debcd
Patch0:		%{name}-system-libpng.patch
Patch1:		%{name}-qt-dirs.patch
Patch2:		%{name}-lib64.patch
URL:		http://www.doxygen.org/
BuildRequires:	flex
BuildRequires:	ghostscript
BuildRequires:	ghostscript-fonts-std
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	python
%{?with_qt:BuildRequires:	qt-devel >= 2.1.0}
BuildRequires:	tetex-format-latex
BuildRequires:	tetex-format-pdflatex
BuildRequires:	tetex-plain-misc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# because of qt
%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%description -l es
Doxygen es un sistema de documentacin para C, C++ e IDL. Es capaz de
generar un navegador on-line entre clases (en HTML) y-o un manual
off-line de referencia (en LaTeX) a partir de un conjunto de ficheros
de cdigo fuente documentados. Tambin hay soporte para generar
pginas man y para convertir la generada salida an Postscript, PDF con
hiperenlaces o HTML comprimido. La documentacin se extrae
directamente de los fuentes.

Doxygen puede tambin ser configurado a extraer la estructura del
cdigo de cdigo fuente que carece de documentacin. Eso puede ser muy
til para orientarse rpidamente en distribuciones grandes de cdigo
fuente.

%description -l pl
Doxygen to system dokumentowania dla C, C++ i IDL. Moe generowa
dokumentacj klas on-line (w HTML-u) lub podrcznik off-line (w
LaTeXu) z zestawu udokumentowanych plikw rdowych. Ma take
moliwo generowania stron man i konwersji na Postscript, PDF z
hiperczami oraz skompresowany HTML. Dokumentacja jest wycigana
bezporednio ze rde.

Doxygen moe by skonfigurowany take do wycigania struktury kodu z
nieudokumentowanych plikw rdowych. Moe by to przydatne do
szybkiego odnalezienia si w duych rdach.

%description -l pt_BR
Doxygen  uma sistema de documentao para C e C++ que gera um class
browser on-line (em HTML) e/ou um manual de referencia off-line (em
LaTeX) a partir de um conjunto de fontes documentados. A documentao
 extraida diretamente a partir dos fontes.

%description -l ru
Doxygen -     C, C++  IDL.  
    ( HTML) / 
 ( LaTeX)    .  
  man-     
Postscript, PDF     HTML. 
    .

Doxygen        
  .      
,      .

%description -l uk
Doxygen -     C, C++  IDL.  
   Ӧ ( HTML) /  צ
( LaTeX)    Ȧ ̦.   Ц
  man-Ҧ  æ   
Postscript, PDF  Ǧ̦   HTML. æ
   Ȧ ̦.

Doxygen   Ʀ     
 Ȧ ̦.       ,
  ڦ   Ԧ.

%package doxywizard
Summary:	A GUI front-end for creating and editing configuration files
Summary(es):	Un front-end GUI para crear y editar ficheros de configuracin
Summary(pl):	GUI do tworzenia i edycji plikw konfiguracyjnych
Summary(pt_BR):	Wizard grfico para o Doxygen
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	qt >= 2.1.0

%description doxywizard
Doxywizard is a GUI front-end for creating and editing configuration
files that are used by doxygen.

%description doxywizard -l es
Doxywizard es un front-end GUI para crear y editar los ficheros de
configuracin que son usados por doxygen.

%description doxywizard -l pl
Doxywizard to frontend z graficznym interfejsem do tworzenia i edycji
plikw konfiguracyjnych uywanych przez doxygen.

%description doxywizard -l pt_BR
Wizard grfico para o Doxygen.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if "%{_lib}" == "lib64"
%patch2 -p1
%endif

rm -rf libpng src/unistd.h

%build
export QTDIR=%{_prefix}
# don't change it to %%configure, not autoconf-generated!
./configure \
	--prefix %{_prefix} \
	--perl %{_bindir}/perl \
	--install %{_bindir}/install \
	%{?with_qt:--with-doxywizard}

%{__make} QTDIR=%{_prefix} \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcflags} \
	-DQT_NO_CODECS -DQT_LITE_UNICODE -fno-rtti -fno-exceptions"

%{__make} docs
#%%{__make} pdf

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install bin/doxy* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html examples README
%attr(755,root,root) %{_bindir}/doxygen
%attr(755,root,root) %{_bindir}/doxytag

%if %{with qt}
%files doxywizard
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/doxywizard
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: doxygen.spec,v $
Revision 1.77  2005/07/23 14:22:14  wolf
- 1.4.4

Revision 1.76  2005/05/23 11:02:08  pluto
- tab.

Revision 1.75  2005/05/16 17:06:53  witekfl
- updated to 1.4.3

Revision 1.74  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.73  2005/05/04 22:01:47  mmazur
- rel 2 for th

Revision 1.72  2005/03/28 17:21:40  paszczus
- updated to 1.4.2 ; STBR

Revision 1.71  2005/01/08 19:31:11  qboosh
- BR: python (for docs)

Revision 1.70  2005/01/08 19:28:16  qboosh
- updated to 1.4.1

Revision 1.69  2005/01/03 08:00:54  ankry
- pl fix, some cosmetics

Revision 1.68  2005/01/01 13:37:48  paszczus
- release 1, STBR

Revision 1.67  2005/01/01 12:39:22  paszczus
- updated to 1.4.0
- release 0.1 ; test build please...

Revision 1.66  2004/10/11 10:57:26  paszczus
- release 1

Revision 1.65  2004/10/11 09:21:38  paszczus
- updated to 1.3.9.1
- added Source0-size
- release 0.1 (test build please)

Revision 1.64  2004/07/25 16:29:36  qboosh
- updated to 1.3.8

Revision 1.63  2004/07/18 20:34:16  qboosh
- strict internal dep

Revision 1.62  2004/05/07 15:45:09  undefine
- update to 1.3.7, remove obsolete qtstyle.patch patch

Revision 1.61  2004/02/24 01:11:55  ankry
- pl fixes, cosmetics

Revision 1.60  2004/02/14 10:55:01  undefine
- update to 1.3.6

Revision 1.59  2004/01/02 16:17:30  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.58  2003/12/26 10:57:08  jajcus
- AMD64 fixes

Revision 1.57  2003/11/22 16:17:51  saq
- version 1.3.5
- new bconds
- es translations
- STBR for Ac

Revision 1.56  2003/09/23 08:55:43  trojan
- updated to 1.3.4

Revision 1.55  2003/08/31 17:41:15  mmazur
- rel 2 for ac

Revision 1.54  2003/08/30 21:37:19  qboosh
- removed License from doc (just GPL)

Revision 1.53  2003/08/28 08:29:13  ankry
- s/TeX-a/TeXa/ i podobne

Revision 1.52  2003/08/01 16:11:10  qboosh
- remove bogus unistd.h - fixes build with current flex

Revision 1.51  2003/07/26 07:59:24  adamg
- updated to 1.3.3

Revision 1.50  2003/07/18 21:20:09  djrzulf
- is it only alpha problem ?,

Revision 1.49  2003/06/22 00:04:43  jareq
- fixed epoch:version issue

Revision 1.48  2003/06/16 20:24:28  qboosh
- added qtstyle and qt-dirs patches, now doxywizard builds

Revision 1.47  2003/06/16 05:38:10  adamg
- updated to 1.3.2
- cleanups

Revision 1.46  2003/06/10 12:38:51  cieciwa
- fixed my mistake.

Revision 1.45  2003/06/09 19:57:44  cieciwa
- added BR:glibc-staticpopt.spec

Revision 1.44  2003/05/28 15:02:12  adamg
- up to 1.3.1

Revision 1.43  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 05:46:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/03/04 23:32:34  qboosh
- libstdc++-devel, not -static

Revision 1.40  2003/03/04 03:07:17  mwinkler
- BR: flex, libstdc++-static

Revision 1.39  2003/02/28 10:07:45  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.38  2003/02/05 14:57:35  wrobell
- ver. 1.3-rc3
- moved examplesdir to docdir - it is part of html documentation /now,
  there are no broken links for docs/ <- maybe link should be made to
  examplesdir?
- build requirements updated for new tetex... but nfy

Revision 1.37  2003/01/30 12:59:22  qboosh
- BR: ghostscript-fonts-std

Revision 1.36  2003/01/29 21:12:39  qboosh
- added system-libpng patch to link with system zlib and libpng
- release 2

Revision 1.35  2003/01/29 16:07:15  qboosh
- BR: tetex-pdftex (epstopdf)

Revision 1.34  2003/01/15 07:30:58  trojan
- I forgot release

Revision 1.33  2003/01/15 07:23:48  trojan
- updated to 1.2.18

Revision 1.32  2003/01/08 01:21:46  radek
- added "--install" to ./configure: autodetection fails, because this
  script wants _bindir/install from fileutils, and our is from coreutils

Revision 1.31  2003/01/06 12:57:41  trojan
- fixed BR

Revision 1.30  2002/11/19 20:54:27  klakier
- examples moved from doc to examplesdir

Revision 1.29  2002/10/17 11:34:40  mmazur
- not building gui so qt not needed

Revision 1.28  2002/08/29 23:11:03  blues
- release 2 - new doc, proper BR

Revision 1.27  2002/04/25 16:13:30  arturs
fixed a small typo

Revision 1.26  2002/04/13 13:12:19  kloczek
- updated to 1.2.15 and merge translations from KSI.

Revision 1.25  2002/03/11 11:07:47  martii
- cosmetics

Revision 1.24  2002/03/11 11:02:20  martii
- added latex to buildreq

Revision 1.23  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/17 19:52:48  kloczek
- updated to 1.2.14.

Revision 1.20  2002/02/07 02:54:51  kloczek
- release 2.

Revision 1.19  2002/02/06 23:13:03  filon
- small fix

Revision 1.18  2002/02/03 20:43:36  ankry
- adding es/pt/pt_BR Group translations

Revision 1.17  2002/01/22 18:17:33  filon
- cosmetics

Revision 1.16  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/06 13:47:42  kloczek
- updated to 1.2.13.1 (bug fix release).

Revision 1.14  2002/01/02 14:42:39  kloczek
- updated to 1.2.13 (bug fix release),
- new Source url.

Revision 1.13  2001/12/12 21:06:21  blues
- added ghostscript to buildrequires

Revision 1.12  2001/11/26 15:26:03  kloczek
- release 2.

Revision 1.11  2001/11/26 14:38:37  qboosh
- s/BuildPrereq/BuildRequires/

Revision 1.10  2001/11/21 15:19:21  qboosh
- pl translations, adapterized

Revision 1.9  2001/11/08 19:27:47  kloczek
- Epoch: 1,
- merged translations from CNV,
- added commented doxywizard subpackahge (now does not build correctly).

Revision 1.8  2001/11/08 18:27:46  baggins
- updated to 1.2.11

Revision 1.7  2001/07/06 12:40:35  dobrek
- Exludearch alpha removed. Could one explain my what was the reason to
  exlude alpha arch. What for hell has arch to dodument preparation
  system?????

Revision 1.6  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/11/01 06:04:02  kloczek
- use $RPM_OPT_FLAGS during compile,
- make spec %%{debug} ready,
- use -fno-rtti -fno-exceptions during compile C++ code,
- added missing %attr() macros in %files,
- tetex added to BuildRequires.

Revision 1.2  2000/10/31 23:34:28  klakier
- needs testing
- qt frontend not included

Revision 1.1  2000/10/31 13:59:21  klakier
- based on mdk spec
